---
name: release

on:
  push:
    tags:
      - '*'

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout main
        uses: actions/checkout@v4
      - name: Build only
        uses: shalzz/zola-deploy-action@v0.20.0
        env:
          BUILD_ONLY: true
          #      - name: Create archive
          #        run: tar -czf public.tar.gz public/
      - name: Use Go Action
        uses: https://gitea.com/actions/release-action@main
        with:
          files: |-
            config.toml
          api_key: '${{secrets.RELEASE_TOKEN}}'
